Skip to content
PUT

Upsert upsell configuration for a merchant and one or more countries

https://api.kustom.co/config/checkout/v1/config/upsell

Parameters2 fields
  • X-merchant-idstringrequiredin header

    Merchant identifier

  • countriesarray<string>optionalin query

    ISO 3166-1 alpha-2 country codes (omit for merchant-level default)

Request body10 fields
  • valueobjectoptional

    The configuration for upsell features.

    7 fields in value
    • disabledbooleanoptional

      Indicates whether the upsell feature is disabled. This takes precedence over the alwaysEnable flag.

    • alwaysEnablebooleanoptional

      Indicates whether the upsell feature should be enabled even if the upsell configs are missing on orders.

    • displayOptionsobjectoptional

      Display options for the upsell feature.

      3 fields in displayOptions
      • uiTimerDisabledbooleanoptional

        Indicates whether the timer should not be shown during upsell.

      • uiTimerDisabledCountries[]array<string>optional

        The countries in which the timer should not be shown during upsell.

      • imageAspectRatiostringoptional

        The aspect ratio of images shown on the upsell page.

    • durationSecondsinteger · int32optional

      The duration (in seconds) for which upsell will be available.

  • changeReasonstringoptional
  • updatedBystringoptional
200
Response13 fields

OK

  • merchantIdstringoptional
  • countrystringoptional
  • upsellConfigobjectoptional

    The configuration for upsell features.

    7 fields in upsellConfig
    • disabledbooleanoptional

      Indicates whether the upsell feature is disabled. This takes precedence over the alwaysEnable flag.

    • alwaysEnablebooleanoptional

      Indicates whether the upsell feature should be enabled even if the upsell configs are missing on orders.

    • displayOptionsobjectoptional

      Display options for the upsell feature.

      3 fields in displayOptions
      • uiTimerDisabledbooleanoptional

        Indicates whether the timer should not be shown during upsell.

      • uiTimerDisabledCountries[]array<string>optional

        The countries in which the timer should not be shown during upsell.

      • imageAspectRatiostringoptional

        The aspect ratio of images shown on the upsell page.

    • durationSecondsinteger · int32optional

      The duration (in seconds) for which upsell will be available.

  • revisioninteger · int64optional
  • updatedBystringoptional
  • updatedAtstring · date-timeoptional
400
Response13 fields

Schema validation failure

  • merchantIdstringoptional
  • countrystringoptional
  • upsellConfigobjectoptional

    The configuration for upsell features.

    7 fields in upsellConfig
    • disabledbooleanoptional

      Indicates whether the upsell feature is disabled. This takes precedence over the alwaysEnable flag.

    • alwaysEnablebooleanoptional

      Indicates whether the upsell feature should be enabled even if the upsell configs are missing on orders.

    • displayOptionsobjectoptional

      Display options for the upsell feature.

      3 fields in displayOptions
      • uiTimerDisabledbooleanoptional

        Indicates whether the timer should not be shown during upsell.

      • uiTimerDisabledCountries[]array<string>optional

        The countries in which the timer should not be shown during upsell.

      • imageAspectRatiostringoptional

        The aspect ratio of images shown on the upsell page.

    • durationSecondsinteger · int32optional

      The duration (in seconds) for which upsell will be available.

  • revisioninteger · int64optional
  • updatedBystringoptional
  • updatedAtstring · date-timeoptional

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.